

* Code results in an error
use nlswork2, clear
estimates clear
levelsof ind_code, local(industries)
foreach i of local industries {
    forvalues y = 68(1)88 {
        regress wage i.collgrad i.union ttl_exp if ind_code==`i' & year==`y' 
        estimates store ind`i'_`y'
    }
}













*******************
* Tracing the execution of our loop

log using trace, replace
levelsof ind_code, local(industries)
set trace on
set tracedepth 1
foreach i of local industries {
    forvalues y = 68(1)88 {
        regress wage i.collgrad i.union ttl_exp if ind_code==`i' & year==`y' 
        estimates store ind`i'_`y'
    }
}
set trace off
log close 
view trace.smcl

********************

* Fitting models with over 500 observations

cls
estimates clear 
levelsof ind_code, local(industries)

foreach i of local industries {
    forvalues y = 68(1)88 {
        count if ind_code==`i' & year==`y' & !missing(wage, collgrad, union, ttl_exp)
        if r(N) > 500 {
            regress wage i.collgrad i.union ttl_exp if ind_code==`i' & year==`y' 
            estimates store ind`i'_`y'
        }
    }
}
estimates dir 
estimates table ind*_*, stat(N)

