cls
foreach var of varlist heart diab highbp {
    display as result "`: variable label `var''"
    prtest `var', by(sex)
    matrix `var' = r(N1), r(P1), r(N2), r(P2), r(P_diff), r(p)
    matrix list `var'
}

matrix prtest = heartatk \ diabetes \ highbp
matrix colnames prtest = "Males" "Males" ///
 "Females" "Females" "Difference" "p-value"
matrix rownames prtest = "Heart attack" "Diabetes" "High BP"
matrix list prtest 

putexcel set prtest.xlsx, replace
putexcel A1 = matrix(prtest), names
putexcel save 








***********************
use nlswork2, clear
levelsof ind_code, local(industries)
foreach i of local industries {
    regress wage i.collgrad i.union ttl_exp if ind_code==`i'
    estimates store ind`i'
}
estimates dir 
estimates table ind*, stats(N) varwidth(22) varlabel nofvlabel



