* Fitting models for specific industries and years

cls
estimates clear

foreach i of numlist 4 6 7 {
    forvalues y = 80(5)85 {
        regress wage i.collgrad i.union ttl_exp if ind_code==`i' & year==`y'
        estimates store ind`i'_19`y'
    }
}
estimates table ind*_*, stats(N) varwidth(22) varlabel nofvlabel
